---
title: Configurer Nginx pour Mediawiki
slug: 1-configurer-nginx-pour-mediawiki
date: "2010-09-15T00:00:00+02:00"
categories: [DevOps]
tags:
- mediawiki
- nginx
summary: >
  Une configuration simple de Nginx pour servir Mediawiki en FastCGI
---

Il y a deux semaines, j'ai migré un serveur d'Apache/mod_php vers nginx/php-fpm.
Ce n'est qu'aujourd'hui que j'ai réussi à éliminer tous les effets secondaires.
Le dernier en date :

Les fichiers statiques ne doivent pas passer par php-fpm, mais un simple test
sur les extensions est inefficace, car les URL comme
`http://serveur/File:nom_du_fichier.png` doivent être traitées par PHP.

Voici ma configuration finale, qui corrige toutes les erreurs que j'ai rencontrées :

```nginx
server {
    listen 80;
    server_name server_name;
    index index.php;
    root /path/to/www/;

    # Serve static files with a far future expiration
    # date for browser caches
    location ^~ /images/ {
        expires 1y;
    }
    location ^~ /skins/ {
        expires 1y;
    }

    # Pass the request to php-cgi
    location / {
        fastcgi_pass 127.0.0.1:9000;
        fastcgi_param  SCRIPT_FILENAME $document_root/index.php;
        fastcgi_index  index.php;
        include fastcgi_params;
    }
}
```
