---
title: Ouvrir automatiquement les projets Sublime Text dans un répertoire
slug: 5-ouvrir-automatiquement-les-projets-sublime-text-dans-un-repertoire
date: "2013-05-15T00:00:00+02:00"
categories:
- Outils
tags:
- Sublime Text
- Bash
summary: >
  Comment ouvrir automatiquement Sublime Text avec un fichier, un projet ou le
  répertoire courant selon le contexte.
---

J'ai l'habitude de lancer Sublime Text 2 depuis la ligne de commande pour
travailler, selon le cas, sur le contenu d'un répertoire ou sur un projet
(matérialisé par un fichier `*.sublime-project`).

J'utilise l'une des commandes suivantes :

- `subl .`
- `subl mon-projet.sublime-project`

Voici la fonction que j'ai ajoutée à mon fichier `.bashrc` pour que la commande
`subl` "devine" automatiquement ce que je veux. Il fait ce qui suit :

- Si un chemin est donné (`subl "mon/fichier.txt"`), il ouvre le fichier.
- Si rien n'est donné et qu'un fichier `.sublime-project` existe dans le
  répertoire courant, il l'ouvre.
- Si rien n'est donné et qu'aucun fichier `.sublime-project` n'a été trouvé, il
  ouvre le dossier.

```bash
function project_aware_subl {
  project_file=$(ls *.sublime-project 2>/dev/null | head -n 1)
  subl ${*:-\${project_file:-.}}
}
alias subl="project_aware_subl"
```
